XtTranslateCoords(3Xt)

NAME
XtTranslateCoords - translate widget coordinates

SYNTAX
void XtTranslateCoords(w, x, y, rootx_return, rooty_return)
      Widget w;
      Position x, y;
      Position *rootx_return, *rooty_return;

ARGUMENTS

rootx_return

rooty_return
    Returns the root-relative x and y coordinates.

x

y   Specify the widget-relative x and y coordinates.

w   Specifies the widget.

DESCRIPTION
While is similar to the Xlib function, it does not generate a server request because all the required information already is in the widget's data structures.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface